import java.awt.*;
import java.awt.event.*;

public class PacMan extends Canvas implements ActionListener {

  public static String MOVE_LEFT = "left";
  public static String MOVE_RIGHT = "right";
  public static String MOVE_UP = "up";
  public static String MOVE_DOWN = "down";
  public static final int PAC_MAN_WIDTH = 30;
  public static final int PAC_MAN_HEIGHT = 30;
  public static final int STEP_SIZE = 15;

  public PacMan () {
    setSize(PAC_MAN_WIDTH, PAC_MAN_HEIGHT);
  }

  public void paint (Graphics graphics) {
    graphics.setColor(Color.black);
    graphics.fillOval(0,0,PAC_MAN_WIDTH,PAC_MAN_HEIGHT);
    graphics.setColor(getBackground());
    // ... PacMans Mund (in Form eines Dreiecks bzw. Polygons)
    int[] xCoords = {PAC_MAN_WIDTH / 2, PAC_MAN_WIDTH, PAC_MAN_WIDTH};
    int[] yCoords = {PAC_MAN_HEIGHT / 2, PAC_MAN_HEIGHT / 4,
		     PAC_MAN_HEIGHT * 3 / 4};
    int coordCount = Math.min(xCoords.length, yCoords.length);
    graphics.fillPolygon(xCoords, yCoords, coordCount);
  }

  public void actionPerformed (ActionEvent e) {
    String action = e.getActionCommand();
    Point location = getLocation();
    if (MOVE_LEFT.equals(action)) {
      location.x -= STEP_SIZE;
    }
    else if (MOVE_RIGHT.equals(action)) {
      location.x += STEP_SIZE;
    }
    else if (MOVE_UP.equals(action)) {
      location.y -= STEP_SIZE;
    }
    else if (MOVE_DOWN.equals(action)) {
      location.y += STEP_SIZE;
    }
    setLocation(location);
  }
}

